Set a zone's Ask settings
PATCH/api/public/v1/zones/{zone_id}/ask-settings beta
ask_mode: platform | agent | both, or null to inherit. ask_behaviour: pass_and_review | hold_until_validated, or null to inherit (the root's resets to pass_and_review). A field that is not sent is left as it is. Admin.
curl --fail-with-body -X PATCH 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/ask-settings' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" \ -H 'Content-Type: application/json' \ -d '{"ask_behaviour":"pass_and_review"}'import jsonimport osimport urllib.request
body = '{"ask_behaviour":"pass_and_review"}'request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/ask-settings', method='PATCH', data=body.encode(), headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], 'Content-Type': 'application/json', },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X PATCH 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/ask-settings' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" \ -H 'Content-Type: application/json' \ -d '{"ask_behaviour":"pass_and_review"}' | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}$body = '{"ask_behaviour":"pass_and_review"}'Invoke-RestMethod -Method PATCH -Uri 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/ask-settings' -Headers $headers -ContentType 'application/json; charset=utf-8' -Body $body | ConvertTo-Json -Depth 20Autorisation
Section intitulée « Autorisation »| Rôle dans l’organisation | Ce point de terminaison |
|---|---|
owner | Autorisé |
admin | Autorisé |
editor | Non autorisé |
viewer | Non autorisé |
Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.
Portée de clé d’API : zones:write
Paramètres de chemin
Section intitulée « Paramètres de chemin »| Paramètre | Type | Description |
|---|---|---|
zone_id | string (uuid) | Obligatoire. |
Paramètres d’en-tête
Section intitulée « Paramètres d’en-tête »| Paramètre | Type | Description |
|---|---|---|
Idempotency-Key | string or null | Optional. Makes the request safe to retry: the same key and the same request, within 24 hours, returns the stored response with Idempotent-Replayed: true and runs once. |
Corps de la requête
Section intitulée « Corps de la requête »| Champ | Type | Description |
|---|---|---|
ask_behaviour | string — one of pass_and_review, hold_until_validated or null | |
ask_mode | string — one of platform, agent, both or null |
- 200 OK — l’appel a réussi.
- 400 Bad Request —
BAD_REQUEST - 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 404 Not Found —
NOT_FOUND - 409 Conflict —
IDEMPOTENCY_IN_PROGRESS - 422 Unprocessable Content —
EMPTY_PATCH,IDEMPOTENCY_KEY_REUSED,INVALID_ID,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Champs de la réponse
Section intitulée « Champs de la réponse »| Champ | Type | Description |
|---|---|---|
data | object | Obligatoire. The zone's own Ask delivery and Ask behaviour (`null` inherits), and what its Asks follow. |
data.ask_behaviour | string or null | |
data.ask_mode | string or null | |
data.effective | object | Obligatoire. |
data.effective.ask_behaviour | string | Obligatoire. |
data.effective.ask_mode | string | Obligatoire. |
data.effective.ask_mode_from_zone_id | string or null | |
data.effective.from_zone_id | string or null |
Exemple de réponse
Section intitulée « Exemple de réponse »{ "data": { "ask_behaviour": "string", "ask_mode": "string", "effective": { "ask_behaviour": "string", "ask_mode": "string", "ask_mode_from_zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "from_zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10" } }}